export const avaliableThemes: ThemeKey[] = ['dark', 'light'];
export type ThemeKey = 'dark' | 'light';

export type ThemeColors = {
  textButtonTertiary: string;
  surfaceAlertPrimary: string;
  surfaceImportantAccent: string;
  surfaceAlertSecondary: string;
  borderAlert: string;
  surfaceIconSecondary: string;
  surfaceModalAccent: string;
  surfacePositiveAccent: string;
  surfaceAlertAccent: string;
  surfacePositivePrimary: string;
  borderSecondary: string;
  borderSeparator: string;
  textButtonSecondary: string;
  surfaceIconPrimary: string;
  borderPrimary: string;
  surfaceFrameBg: string;
  surfaceNavBg: string;
  textButtonPrimary: string;
  textPositive: string;
  surfaceTagModal: string;
  surfacePositiveSecondary: string;
  surfaceDefaultModal: string;
  surfaceInfoModal: string;
  surfaceButton: string;
  surfaceMainSecondary: string;
  textBodyPrimary: string;
  textAlert: string;
  textBodySecondary: string;
  textBodyTertiary: string;
  surfaceTeoniteLogo: string;
  textImportant: string;
  surfaceImportant: string;
  surfaceMainPrimary: string;
  surfaceDfgLogoFlat: string;
};

export const themeDark = {
  borderPrimary: 'rgba(72, 89, 100, 1)',
  surfaceNavBg: 'rgba(47, 50, 51, 1)',
  surfaceMainPrimary: 'rgba(12, 140, 224, 1)',
  textButtonTertiary: 'rgba(12, 140, 224, 1)',
  borderSeparator: 'rgba(72, 89, 100, 1)',
  borderSecondary: 'rgba(232, 232, 232, 1)',
  textButtonSecondary: 'rgba(255, 255, 255, 1)',
  surfaceImportantAccent: 'rgba(48, 39, 18, 1)',
  textPositive: 'rgba(20, 188, 110, 1)',
  surfaceIconPrimary: 'rgba(255, 255, 255, 1)',
  textBodySecondary: 'rgba(196, 196, 196, 1)',
  textButtonPrimary: 'rgba(255, 255, 255, 1)',
  surfaceTeoniteLogo: 'rgba(255, 255, 255, 1)',
  surfaceTagModal: 'rgba(72, 89, 100, 1)',
  surfacePositivePrimary: 'rgba(20, 188, 110, 1)',
  surfacePositiveAccent: 'rgba(34, 34, 34, 1)',
  textImportant: 'rgba(184, 143, 48, 1)',
  surfaceAlertSecondary: 'rgba(181, 48, 48, 1)',
  textBodyTertiary: 'rgba(137, 156, 168, 1)',
  borderAlert: 'rgba(203, 63, 63, 1)',
  surfaceAlertAccent: 'rgba(34, 34, 34, 1)',
  surfaceDfgLogoFlat: 'rgba(255, 255, 255, 1)',
  textAlert: 'rgba(203, 63, 63, 1)',
  textBodyPrimary: 'rgba(255, 255, 255, 1)',
  surfaceIconSecondary: 'rgba(255, 255, 255, 1)',
  surfacePositiveSecondary: 'rgba(16, 161, 94, 1)',
  surfaceModalAccent: 'rgba(203, 211, 216, 1)',
  surfaceFrameBg: 'rgba(34, 34, 34, 1)',
  surfaceAlertPrimary: 'rgba(203, 63, 63, 1)',
  surfaceImportant: 'rgba(184, 143, 48, 1)',
  surfaceDefaultModal: 'rgba(47, 50, 51, 1)',
  surfaceInfoModal: 'rgba(72, 89, 100, 1)',
  surfaceButton: 'rgba(47, 50, 51, 1)',
  surfaceMainSecondary: 'rgba(8, 118, 190, 1)',
};

export const themeLight = {
  surfaceMainPrimary: 'rgba(12, 140, 224, 1)',
  textPositive: 'rgba(20, 188, 110, 1)',
  surfaceDefaultModal: 'rgba(255, 255, 255, 1)',
  surfaceAlertSecondary: 'rgba(181, 48, 48, 1)',
  surfaceIconSecondary: 'rgba(255, 255, 255, 1)',
  surfaceNavBg: 'rgba(255, 255, 255, 1)',
  textImportant: 'rgba(184, 143, 48, 1)',
  borderSeparator: 'rgba(196, 196, 196, 1)',
  surfaceAlertAccent: 'rgba(252, 238, 238, 1)',
  surfacePositivePrimary: 'rgba(20, 188, 110, 1)',
  textBodyTertiary: 'rgba(137, 156, 168, 1)',
  surfaceModalAccent: 'rgba(203, 211, 216, 1)',
  textBodySecondary: 'rgba(97, 118, 132, 1)',
  surfaceImportantAccent: 'rgba(251, 245, 231, 1)',
  surfaceDfgLogoFlat: 'rgba(255, 255, 255, 1)',
  surfacePositiveAccent: 'rgba(215, 248, 233, 1)',
  surfaceButton: 'rgba(249, 249, 249, 1)',
  surfaceFrameBg: 'rgba(249, 249, 249, 1)',
  surfaceAlertPrimary: 'rgba(203, 63, 63, 1)',
  textButtonSecondary: 'rgba(255, 255, 255, 1)',
  textButtonTertiary: 'rgba(12, 140, 224, 1)',
  textBodyPrimary: 'rgba(34, 34, 34, 1)',
  surfacePositiveSecondary: 'rgba(16, 161, 94, 1)',
  surfaceInfoModal: 'rgba(249, 249, 249, 1)',
  textButtonPrimary: 'rgba(72, 89, 100, 1)',
  borderPrimary: 'rgba(232, 232, 232, 1)',
  surfaceTagModal: 'rgba(232, 232, 232, 1)',
  surfaceTeoniteLogo: 'rgba(0, 0, 0, 1)',
  textAlert: 'rgba(203, 63, 63, 1)',
  surfaceMainSecondary: 'rgba(8, 118, 190, 1)',
  surfaceImportant: 'rgba(184, 143, 48, 1)',
  surfaceIconPrimary: 'rgba(137, 156, 168, 1)',
  borderAlert: 'rgba(203, 63, 63, 1)',
  borderSecondary: 'rgba(232, 232, 232, 1)',
};
